VirtualBox Main API

Public Member Functions | Public Attributes | List of all members
IDHCPGroupConfig Interface Reference

A configuration that applies to a group of NICs. More...

Inheritance diagram for IDHCPGroupConfig:

## Public Member Functions
void | addCondition (in boolean inclusive, in DHCPGroupConditionType type, in wstring value, [retval] out IDHCPGroupCondition condition)
| Adds a new condition.
void | removeAllConditions ()
| Removes all conditions.
Public Member Functions inherited from IDHCPConfig
void | setOption (in DHCPOption option, in DHCPOptionEncoding encoding, in wstring value)
| Sets a DHCP option.
void | removeOption (in DHCPOption option)
| Removes the given DHCP option.
void | removeAllOptions ()
| Removes all the options.
void | getOption (in DHCPOption option, out DHCPOptionEncoding encoding, [retval] out wstring value)
| Gets the value of a single DHCP option.
void | getAllOptions (out DHCPOption[] options, out DHCPOptionEncoding[] encodings, [retval] out wstring[] values)
| Gets all DHCP options and their values.
void | remove ()
| Remove this group or individual configuration.

## Public Attributes
attribute wstring | name
| The group name.
readonly attribute IDHCPGroupCondition[] | conditions
| Group membership conditions.
Public Attributes inherited from IDHCPConfig
readonly attribute DHCPConfigScope | scope
| Indicates the kind of config this is (mostly for IDHCPIndividualConfig).
attribute unsigned long | minLeaseTime
| The minimum lease time in seconds, ignored if zero.
attribute unsigned long | defaultLeaseTime
| The default lease time in seconds, ignored if zero.
attribute unsigned long | maxLeaseTime
| The maximum lease time in seconds, ignored if zero.
attribute DHCPOption[] | forcedOptions
| List of DHCP options which should be forced upon the clients in this config scope when they are available, whether the clients asks for them or not.
attribute DHCPOption[] | suppressedOptions
| List of DHCP options which should not be sent to the clients in this config scope.

## Detailed Description

A configuration that applies to a group of NICs.

Interface ID:
  `{537707F7-EBF9-4D5C-7AEA-877BFC4256BA}`

## Member Function Documentation

## ◆ addCondition()

void IDHCPGroupConfig::addCondition | ( | in boolean | inclusive,
|  | in DHCPGroupConditionType | type,
|  | in wstring | value,
|  | [retval] out IDHCPGroupCondition | condition
| ) |  |

Adds a new condition.

## ◆ removeAllConditions()

void IDHCPGroupConfig::removeAllConditions | ( |  | ) |

Removes all conditions.

## Member Data Documentation

## ◆ name

attribute wstring IDHCPGroupConfig::name

The group name.

## ◆ conditions

readonly attribute IDHCPGroupCondition [] IDHCPGroupConfig::conditions

Group membership conditions.

Add new conditions by calling IDHCPGroupConfig::addCondition and use IDHCPGroupCondition::remove to remove.